Mailmus

Plans

GET
/projects/{projectId}/b2b/plans
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/b2b/plans"
[  {    "key": "string",    "name": "string",    "features": [      {        "featureKey": "seats",        "enabled": false,        "limit": 0      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/b2b/plans
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/b2b/plans" \  -H "Content-Type: application/json" \  -d '{    "key": "pro",    "name": "Pro"  }'
{  "key": "string",  "name": "string",  "features": [    {      "featureKey": "seats",      "enabled": false,      "limit": 0    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
PATCH
/projects/{projectId}/b2b/plans/{key}
AuthorizationBearer <token>

In: header

Path Parameters

key*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/projects/string/b2b/plans/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "key": "string",  "name": "string",  "features": [    {      "featureKey": "seats",      "enabled": false,      "limit": 0    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/b2b/plans/{key}
AuthorizationBearer <token>

In: header

Path Parameters

key*string
projectId*string

Response Body

curl -X DELETE "https://example.com/projects/string/b2b/plans/string"
Empty